AutoCAD Inventor :: Constraining A Sketch To Another Sketch?
Aug 16, 2012
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
I am trying to make a 3D sketch that is constrained to two different parts in an assembly. I want the sketch to be constrained to each of these parts so that if you move the parts relative to each other the sketch will adapt.
I have tried using work planes and project geometry but when I go to move the part the geometry won't always follow the part. I am using a spline for the 3D sketch so it should be able to adapt when the parts are moved but the problem is constraining it to something that follows the part.
I have an oddly shaped flat plate extruded from a sketch, the sketch of which has lots on constructions lines, none of which actually represent solid edges of the plate. However, I want to locate the plate to other components via the geometry defined in the sketch.
I find that when I am trying to constrain the plate to other parts none of the sketch geometry is available to me. Points, lines, construction lines, circles; I can select none of it when constraining. I am confused. How can I constrain such a part?
Just to clarify - the flat plate is the base of a structure. Its profile is decoratively shaped, so nothing about the cut edge of the plate is suitable for constraining to. I need to constrain off geometry defined in the sketch.
Unfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly. But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.
I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear. I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor. My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.
So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane. Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based. Place a point on one line, at a certain radial distance and constrain my point.
So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be. What now? I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment. I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I work in Sketch-Up a lot creating urban streetscapes and such as I am the graphics person at a community planning consulting firm. Sketch-Up is great for quickly drawing and creating 3D models of screens; however, it is not good for producing a great looking final image to show to a client. What I want to do is export a 2D graphic from Sketch-Up and make it look like it was hand drawn. I am semi-proficient in Photoshop, meaning I can follow a tutorial and be able to tweak and apply what I learned to fit my needs but I can't seem to find something that gives me what exactly what I'm looking for. I've uploaded an image that represents the style I am looking for. This one was done by hand on tracing paper. I can't draw by hand to save my life so I want to create the model in Sketch-Up, export the screen as a JPEG, load into Photoshop and process to make it look like it was done by hand.
I need to print an initial 2d sketch (without any 3d work done on it).
Printing this in sketch mode seems to output a screen capture, i.e. some lines appear wriggly and not as precise as an ordinary plot of an idw or dwg file.
A sketch w/o any 3d work will not be accepted as an idw file, thus I am not able to use all the formatting (tblocks, fonts, dimstyles, etc.) options available to idw files.
Is there a way of printing a 2d sketch (w/o any 3d work) as an idw file?
I've managed to hack together some code to draw a rectangle and dimension it. Now I want to constrain it to the origin. I figure either using two dimensions from a top/side to the origin and setting the dimension as half of the other respective dimension would work. Or constraining the center point of a top/side line to be vertical/horizontal to the origin.
The problem I'm having is I do not know how to reference the origin. So until I figure out how to reference the origin point I can't use either method.
Public Sub DrawSketchLine() ' Check to make sure a sketch is open. If Not TypeOf ThisApplication.ActiveEditObject Is PlanarSketch Then MsgBox "A sketch must be active." Exit Sub End If ' Set a reference to the active sketch. Dim oSketch As PlanarSketch Set oSketch = ThisApplication.ActiveEditObject ' Set a reference to the transient geometry collection. Dim oTransGeom As TransientGeometry Set oTransGeom = ThisApplication.TransientGeometry Dim oUOM As UnitsOfMeasure Set oUOM = [Code].......
Is there a way to update a symbol of one type, without the changes being applied to all symbols of that type in the drawing?
Example: If I have three Flag Note symbol's in my drawing from the same sketch symbol and the text reads 1, is there a way that I can change the text to read 2 in one of them without the other two flag notes updating as well?
IV 2012 Pro-Suite / VP 2011 Windows Vista Enterprise - 64 Bit Precision Workstation T7500 Intel (R) Xeon (R) CPU - E5504 @ 2.00 GHz (8 CPUs) 12284 Mb Ram Dual Quadro FX 5800
(1) Why can't you use the Sweep command with a 3D sketch? (2) Why can't you draw circles in the 3D sketch environment? What do you do if you need to sweep a cut with a circular profile along a 3D sketch line?
I want to make some points in 3D sketch base on the Coordinate System that I defined (UCS).Is there any solution to make these points in 3D sketch just by inputing their coordinates in my UCS?
Example: the new UCS origin has (x,y,z) coordinates from the origin.and one of the points has the coordinates of (x',y',z') from the UCS.
So from the origin it has the coordinates of (x+x',y+y',z+z').Is it possible to just use (x',y',z') from UCS directly to get my point?
I am working on iLogic models and have a sketch feature in a part that is used as a referance for a caulk bead. The sketch is in an IPT and is a stand alone feature. I am trying to have this sketch feature be visible in and IDW file of the product I am developing but cannot seem to find a solution. Is this even possible and if so what am I doing wrong?
I am doing it this way because the caulk bead spans the entire height of the part which can change via different custom parameters, therefore the caulk bead needs to be able to change with the part while not losing its sketch references.
I'm trying to make a .dxf or .dwg from our company logo to use it in many parts and assemblies. I also would like to be able to resize it. When I export the sketch from the attached model, and use it in a new part, it says there's open loops and other problems. These do not occur in the original part when using sketch doctor.
What's wrong with the sketch? Is there easier ways to emboss the logo on multiple parts?
When importing Acad files is it possible to imprort without having to fix the sketch in inventor? Meaning, if the Acad drawing was drawn so all the lines attach to another ("closed loop") why is it when I import and select all the layers or (no layers) that i can not extrude the sketch in inventor without always having to fix.
Before importing the autocad file, what needs to be done to the autocad drawing before importing for a flawless sketch so i can just extrude it in inventor?
I know my subject is somewhat mis-named, because I gather that you cannot really extrude from a 3D sketch, however I am looking for a way to accomplish what extruding a cut from a 3D sketch would accomplish.
The problem is this: I have a simple 2D sketch that I've projected onto a curved surface (imagine a square projected onto the outside of a hollow cylinder). Now that I have a 3D sketch on the surface of the cylinder, I want to use that sketch as a "cookie cutter" through one wall of the cylinder.
If I were to simply extrude the cut from the 2D sketch, the "cookie" is wider at the edges than at the center. I want the cut to be perpendicular to the projected 3D sketch at all points.
I've attached a simple example that illustrates my problem.
Why do we not have the "=" (equals) constraint option in 3D Sketch mode? It seems like a very basic need for a constraint. Is there a reason why one should NOT want to have an "equal" constraint in a 3D Sketch?
Why is it when I select the Top (XZ Plane) does the sketch orient itself so TOP is read upside down? Subsequent Sketches on a TOP face yields expected results.
And it is also true that it if I select Right (XY) the sketch orients itself so RIGHT reads top to bottom? and if I rotate the cube orientation so TOP is truly on top, the Constrain Axis' are off by 90º? yet if I subsequently select the RIGHT face for a sketch, it yields expected results (RIGHT reads from left to right).
This cannot be the way it is supposed to be. it although has been this way for may versions.